import { Component, OnInit, Input } from '@angular/core';

@Component({
  selector: 'associate-container',
  templateUrl: './associate-container.component.html',
  styleUrls: ['./associate-container.component.css']
})
export class AssociateContainerComponent implements OnInit {

  constructor() { }

  closePanelIcon: boolean = false;

  ngOnInit() {
      this.addClosePanelIcon();
  }

  //Added by Sonam K on 02-AUG-19 [Display close button only in case of BROWSER] START
  getHostURL() {
    //   var HOST_URL: string = '';
      var HOST_URL: any = '';

      HOST_URL = localStorage.getItem('HOST_URL');
    //   HOST_URL = JSON.parse (localStorage.getItem('HOST_URL')||'{}');

      if (!HOST_URL) HOST_URL = '';
      console.log('getHostURL[', HOST_URL, ']');
      return HOST_URL;
  }
  addClosePanelIcon() {
      var hostUrl = this.getHostURL();
      if(!hostUrl) {
          this.closePanelIcon = true;
      } else {
          this.closePanelIcon = false;
      }
  }
  //Added by Sonam K on 02-AUG-19 [Display close button only in case of BROWSER] END


}
